JC		= javac
JAVAFLAGS	= -classpath ../
ALL_CLASSES	= DriverConfig.class SQLExceptionWithCause.class\
		  \
		  DatabaseException.class DatabaseTableBase.class\
		  DatabaseTable.class DatabaseIndex.class\
		  DatabaseManager.class\
		  \
		  IndexTableRowset.class IndexTableEntry.class\
		  IndexTable.class\
		  IndexTable_Sort.class IndexTable_Hash.class\
		  \
		  EndOfTable.class Function.class\
		  FunctionProvider.class\
		  ColumnValue.class TableReader.class\
		  IndirectFunction.class\
		  \
		  NumberMath.class\
		  AbstractFunction.class Function_NVL.class\
		  Function_Math.class Function_String.class\
		  \
		  Operator.class\
		  Operator_Not.class Operator_Logical.class\
		  Operator_Compare.class Operator_In.class\
		  Operator_Concat.class Operator_Like.class\
		  Operator_Negate.class Operator_Add.class\
		  Operator_Multiply.class Operator_Divide.class\
		  Operator_Is.class Operator_Exists.class\
		  \
		  Aggregate.class AbstractAggregate.class\
		  Aggregate_Count.class Aggregate_MinMax.class\
		  Aggregate_Math.class\
		  \
		  RowConstructor.class Table.class\
		  Literal.class LiteralRow.class LiteralTable.class\
		  \
		  Query.class Select.class Expression.class\
		  SelectTable.class\
		  Create.class Drop.class\
		  Update.class Insert.class Delete.class\
		  \
		  ResultSetMetaData.class ResultSet.class\
		  PreparedStatement.class Connection.class\
		  DatabaseMetaData.class Driver.class\
		  MetaManager.class



.SUFFIXES: .java .class

.java.class:
	$(JC) $(JAVAFLAGS) $*.java


all:	$(ALL_CLASSES)

clean:
	rm -f \#*# *~ *.o core *.class
